## Name

plq_pa — Piecewise linear quadratic (plq), convex proximal average via conjugates

## Calling Sequence

    pa = plq_pa(f1,f2,lambda_pa)

## Parameters

f1

  matrix. A plq function with dimensions n x 4.

f2

  matrix. A plq function with dimensions n x 4.

lambda_pa

  constant. An intermediate function.

pa

  matrix. A plq function with dimensions n x 4.

## Description

<listitem>

Compute the proximal average (PA) of two plq functions at a specified lambda_pa value. The PA is computed using the following formula, where * represents the Fenchel Conjugate.

        P(f1,lambda,f2) = [ (1 - lambda)(f1 + (1/2)||.||^2)* + lambda(f2 + (1/2)||.||^2)* ]* - (1/2)||.||^2

</listitem>

## Examples

    lambda_pa = 0.5;
    f1 = [%inf, 0, 1, 0];
    f2 = [%inf, 0, -1, 5];
    result = plq_pa(f1, f2, lambda_pa);

## See Also

plq_function

## Authors

`Mike Trienis`, University of British Columbia, BC, Canada